<!DOCTYPE html>
<html>
  <head>

    <!-- Bootstrap core CSS -->
    <link href="../lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- font awesome css -->
    <link href="../lib/font-awesome/css/font-awesome.min.css" rel="stylesheet">

    <!-- jQuery -->
    <script src="../lib/jquery/js/jquery-3.1.1.min.js"></script>
    <script>window.$ = window.jQuery = require('../lib/jquery/js/jquery-3.1.1.min.js');</script>

    <!-- jQueryUI -->
    <script src="../lib/jquery-ui/js/jquery-ui.js"></script>
    <link href="../lib/jquery-ui/css/jquery-ui.css" rel="stylesheet">

     <!-- core JS -->
    <script src="../lib/mp3-downloader/js/music.js"></script>
    <script src="../lib/mp3-downloader/js/functions.js"></script>
    <script src="../lib/mp3-downloader/js/settings.js"></script>
    <script src="../lib/mp3-downloader/js/search.js"></script>
    <script src="../lib/mp3-downloader/js/downloader.js"></script>
    <script src="../lib/mp3-downloader/js/player.js"></script>
    <script src="../lib/mp3-downloader/js/mp3info.js"></script>
    <script src="../lib/mp3-downloader/js/playlist.js"></script>

    <!-- core CSS -->
    <link href="../lib/mp3-downloader/css/tab.css" rel="stylesheet">
    <link href="../lib/mp3-downloader/css/main.css" rel="stylesheet">

    <meta charset="UTF-8">
    <title>MP3 Music Downloader</title>
  </head>
  <body>
    <!-- fixed navbar -->
    <div class="draggable"></div>
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container-fluid" style="margin-top: 10px;">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav navbar-left" style="width: 33.33%;">
            <!--li><a href="#">Home</a></li-->
            <li>
              <div id="searchBox-container" class="inner-addon left-addon" expanded="false">
                  <a href="javascript:void(0)" id="searchBox-href" onclick="expandSearchBox(); switchTab(event, 'search');"><i id="searchBox-icon" class="glyphicon glyphicon-search" style="position:relative; color:white;"></i></a>
                  <a href="javascript:void(0)" id="searchBox-href" onclick="closeSearchBox();"><i id="searchBox-icon-close" class="glyphicon glyphicon-menu-left" style="display: none; position:relative; color:white;"></i></a>
                  <input id="searchBox-input" type="text" class="form-control" onclick="switchTab(event, 'search');" style="display:none"/>
              </div>
            </li>
            <li>
              <a href="javascript:void(0)" onclick="backward()"><i class="fa fa-backward" aria-hidden="true"></i></a>
            </li>
            <li>
              <a href="javascript:void(0)" onclick="playPauseButton()"><i id="play-navbar" class="fa fa-play" aria-hidden="true"></i></a>
            </li>
            <li>
              <a href="javascript:void(0)" onclick="forward()"><i class="fa fa-forward" aria-hidden="true"></i></a>
            </li>
            <li>
              <a href="javascript:void(0)" onclick="openQueue()"><i class="fa fa-bars" aria-hidden="true"></i></a>
            </li>
            <li>
              <div class="queue-popup" style="display:none" expanded="false" onmouseleave="openQueue()">
                <div class="header-popup">
                  <a href="javascript:void(0)" onclick="clearQueue()">
                    <div class="clear-queue button"><span style="color:dimgrey">clear</span></div>
                  </a>
                  <span id="actualDuration" duration="0"></span> 
                </div>
                <div class="body-popup">
                  <ul id="music-list-popup">
                  </ul>
                </div>
              </div>
            </li>
          </ul>
          <ul class="nav navbar-nav navbar-right" style="width: 28.33%; float:right !important">
            <li style="float:right;"><a href="javascript:void(0)" class="tablinks" onclick="closeWindow()"><i class="fa fa-times" aria-hidden="true"></i></a></li>
            <li style="float:right;"><a href="javascript:void(0)" class="tablinks" onclick="minimizeWindow()"><i class="fa fa-window-minimize" aria-hidden="true"></i></a></li>
            <li style="float:right;"><a href="javascript:void(0)" class="tablinks" onclick="switchTab(event, 'downloads')"><i class="fa fa-download" aria-hidden="true"></i></a></li>
            <li style="float:right;">
              <div id="volume-container" style="padding: 15px; height: 50px; width: 140px;">
                <a href="javascript:void(0)" style="float:left; font-size: 14px; color:white;" ><i id="volume-icon" class="fa fa-volume-up" aria-hidden="true"></i></a>
                <div id="slider-container" style="top: 7px; left: 3px;">
                  <div id="slider"></div>
                </div>
              </div>
            </li>
            <li style="z-index:2; float:right;"><a href="javascript:void(0)" id="repeat-icon" class="repeat-icon-disabled" repeat="false"><i class="fa fa-repeat" aria-hidden="true"></i></a></li>
          </ul>
          <ul class="nav navbar-nav navbar-center" style="width: 38.33%;">
            <li>
              <!--player-->
              <div id="player-container" active="false" style="display:none">
                <div id="player1" class="aplayer"></div>
              </div>
            </li>
          </ul>
      </div>
    </nav>
    <!-- end navbar -->


    <div id="playlistsBar">
      <div id="playlist-container">
      </div>
    </div>

    <!-- SEARCH SECTION -->
    <div id="search" class="tabcontent">
      <div class="container wideContainer" id="searchContainer" style="height: 671px;">
        <div class="row definitionsRow">
          <div class="col-xs-1" style="margin-right: -72px;"><span></span></div>
          <div class="col-xs-3"><span>Title</span></div>
          <div class="col-xs-3"><span>Artist</span></div>
          <div class="col-xs-3"><span>Album</span></div>
          <div class="col-xs-1"><span>Duration</span></div>
          <div class="col-xs-1"><span>Bitrate</span></div>
        </div>
      </div>
    </div>


    <!-- DOWNLOADS SECTION -->
    <div id="downloads" class="tabcontent">
      <div class="container wideContainer" id="download" style="height: 671px;">
        <div class="row download">
        </div>
        <a href="#" onclick="clearCompletedDownloads()"><div class="circle-button"><span class="glyphicon glyphicon-trash clear-downloads"></span></div></a>
      </div>
    </div>

    <!-- SETTINGS SECTION -->
    <div id="settings" class="tabcontent">
      <div class="container wideContainer" id="settingsContainer" style="height: 671px;">
        <div class ="row">
          <div class="col-xs-12">&nbsp</div>
        </div>
        <div class="row">
          <div class="col-xs-10"><input id="folder" type="text" name="text" placeholder="Select where to save files" readonly="readonly" /></div>
          <div class="col-xs-2"><a href="#" onclick="selectFolder()"><div id="selectFolderButton" class="button"><span class="span-button">SELECT FOLDER</span></div></a></div>
        </div>
      </div>
    </div>

    <!-- PLAYLIST SECTION -->

    <div id="playlists" class="tabcontent">
      <div class="container wideContainer" id="playlistsContainer" style="height: 671px;">
        <div class="playlistLeftSidebar"> <!-- playlists -->
          <ul>
          </ul>
        </div>
      </div>
    </div>      

    <footer class="footer">
      <div class="container" style="background-color:#f5f5f5;">
        <ul class="list-inline">
          <!--li class="openPlaylistSidebar"><a href="javascript:void(0)"><i class="fa fa-star settings-footer-icon" aria-hidden="true"></i></a></li-->
          <li><a href="javascript:void(0)" class="tablinks" onclick="switchTab(event, 'playlists')"><i class="fa fa-list settings-footer-icon" aria-hidden="true"></i></a></li>
          <li><a href="javascript:void(0)" class="tablinks" onclick="switchTab(event, 'settings')"><i class="fa fa-cog settings-footer-icon" aria-hidden="true"></i></a></li>
          <span id="info-version">App Version:</span><span id="info-dev">Designed by Matem</span>
          <!--li><a href="#">Terms</a></li-->
        </ul>
      </div>
    </footer>
    <script>

      $('#repeat-icon').click(function(){
        if(ap == undefined)
          return;
        
        if($(this).attr('repeat') === 'false')
        {
          setPlayerMode(false, true, false);
          $(this).attr('repeat', 'true');
          $(this).attr('class', 'repeat-icon-enabled');
        }
        else
        {
          setPlayerMode(true, false, false);
          $(this).attr('repeat', 'false');
          $(this).attr('class', 'repeat-icon-disabled');
        }
      });


      $(document).mouseup(function (e)
      {
          var container = $('#playlistsBar');

          if (!container.is(e.target) && container.has(e.target).length === 0) //if the target of the click isn't the container nor a descendant of the container
          {
            if($('#playlistsBar').hasClass('playlist-expanded'))
              $('.openPlaylistSidebar').click();
          }
      });

      //fill playlist menu
      playlistLoader();

      $('.openPlaylistSidebar').click(function(){

          var leftPosition = parseInt($('#playlistsBar').width())+3; //+3 caused by shadows

          if($('#playlistsBar').hasClass('playlist-expanded'))
          {
              $('#playlistsBar').removeClass('playlist-expanded');

              $('#playlistsBar').animate({
                  left: "-="+parseInt(leftPosition),
                  //height: "toggle"
                  }, 800, function() {
                  // Animation complete.
              });
          }
          else
          {
              $('#playlistsBar').addClass('playlist-expanded');

              $('#playlistsBar').animate({
                  left: "+="+parseInt(leftPosition),
                  //height: "toggle"
                  }, 800, function() {
                  // Animation complete.
              });
          }

      });
          
      //volume slider
      createSlider();

      //use enter to start search
      $("#searchBox-input").keyup(function(event){
          if(event.keyCode == 13){
              searchInit( $("#searchBox-input").val());
          }
      });

      //set settings folder placeholder
      setFolderPlaceHolder();

      //load default tab at startup
      switchTab(event, "search");

      //get app version
      getAppVersion();
    </script>
  </body>
</html>
